<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PIzza 365</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- nhúng thư viện awsome font  -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

    <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>
<style>
    body {
  background-color: #fbfbfb;
}
@media (min-width: 991.98px) {
  main {
    padding-left: 240px;
  }
}

/* Sidebar */
.sidebar {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  padding: 58px 0 0; /* Height of navbar */
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 5%), 0 2px 10px 0 rgb(0 0 0 / 5%);
  width: 240px;
  z-index: 600;
}

@media (max-width: 991.98px) {
  .sidebar {
    width: 100%;
  }
}
.sidebar .active {
  border-radius: 5px;
  box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%);
  background-color: orange;
}

.sidebar-sticky {
  position: relative;
  top: 0;
  height: calc(100vh - 48px);
  padding-top: 0.5rem;
  overflow-x: hidden;
  overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
}

</style>
<body>
    <!--Main Navigation-->
    <section>
    <header>
    <!-- Sidebar -->
    <nav id="sidebarMenu" class="collapse d-lg-block sidebar collapse bg-warning">
      <div class="position-sticky bg-warning">
        <div class="list-group list-group-flush mx-3 mt-4 active bg-warning">
          <a
            href="#"
            class="list-group-item list-group-item-action py-2 ripple bg-warning "
            aria-current="true"
          >
            <i class="fas fa-tachometer-alt fa-fw me-3"></i><span>Task Name</span>
          </a>
          <a href="index.html" class="list-group-item list-group-item-action py-2 ripple bg-warning ">
            <i class="fas fa-chart-area fa-fw me-3"></i><span>Order Pizza</span>
          </a>
          <a href="index1.html" class="list-group-item list-group-item-action active py-2 ripple"
            ><i class="fas fa-tools fa-fw me-3"></i><span>CRUD Order</span></a
          >
          
        </div>
      </div>
    </nav>
    <!-- Sidebar -->
  
    <!-- Navbar -->
    <nav id="main-navbar" class="navbar navbar-expand-lg navbar-light bg-warning fixed-top">
      <!-- Container wrapper -->
      <div class="container-fluid">
        <!-- Toggle button -->
        <button
          class="navbar-toggler"
          type="button"
          data-mdb-toggle="collapse"
          data-mdb-target="#sidebarMenu"
          aria-controls="sidebarMenu"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <i class="fas fa-bars"></i>
        </button>
  
        <!-- Brand -->
        <a class="navbar-brand md-4" href="#">
          <img
            src="Mockup_Images_Pizza365.v1.9/pizza-logo-vector-21904674.webp"
           width="40px"
            alt="MDB Logo"
            loading="lazy"
          />
        </a>
       
  
        <!-- Right links -->
        <ul class="navbar-nav ms-auto d-flex flex-row">
          <!-- Notification dropdown -->
          <li class="nav-item dropdown">
            <a
              class="nav-link me-3 me-lg-0 dropdown-toggle hidden-arrow"
              href="#"
              id="navbarDropdownMenuLink"
              role="button"
              data-mdb-toggle="dropdown"
              aria-expanded="false"
            >
              <i class="fas fa-bell"></i>
              <span class="badge rounded-pill badge-notification bg-danger">1</span>
            </a>
            <ul
              class="dropdown-menu dropdown-menu-end"
              aria-labelledby="navbarDropdownMenuLink"
            >
              <li>
                <a class="dropdown-item" href="#">Some news</a>
              </li>
              <li>
                <a class="dropdown-item" href="#">Another news</a>
              </li>
              <li>
                <a class="dropdown-item" href="#">Something else here</a>
              </li>
            </ul>
          </li>
  
          <!-- Icon -->
          <li class="nav-item">
            <a class="nav-link me-3 me-lg-0" href="#">
              <i class="fas fa-fill-drip"></i>
            </a>
          </li>
          <!-- Icon -->
          <li class="nav-item me-3 me-lg-0">
            <a class="nav-link" href="#">
              <i class="fab fa-github"></i>
            </a>
          </li>
  
          <!-- Icon dropdown -->
          <li class="nav-item dropdown">
            <a
              class="nav-link me-3 me-lg-0 dropdown-toggle hidden-arrow"
              href="#"
              id="navbarDropdown"
              role="button"
              data-mdb-toggle="dropdown"
              aria-expanded="false"
            >
              <i class="flag-united-kingdom flag m-0"></i>
            </a>
            <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
              <li>
                <a class="dropdown-item" href="#"
                  ><i class="flag-united-kingdom flag"></i>English
                  <i class="fa fa-check text-success ms-2"></i
                ></a>
              </li>
              <li><hr class="dropdown-divider" /></li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-poland flag"></i>Polski</a>
              </li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-china flag"></i>中文</a>
              </li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-japan flag"></i>日本語</a>
              </li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-germany flag"></i>Deutsch</a>
              </li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-france flag"></i>Français</a>
              </li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-spain flag"></i>Español</a>
              </li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-russia flag"></i>Русский</a>
              </li>
              <li>
                <a class="dropdown-item" href="#"><i class="flag-portugal flag"></i>Português</a>
              </li>
            </ul>
          </li>
  
          <!-- Avatar -->
          <li class="nav-item dropdown">
            <a
              class="nav-link dropdown-toggle hidden-arrow d-flex align-items-center"
              href="#"
              id="navbarDropdownMenuLink"
              role="button"
              data-mdb-toggle="dropdown"
              aria-expanded="false"
            >
              <img
                src="https://mdbcdn.b-cdn.net/img/Photos/Avatars/img (31).webp"
                class="rounded-circle"
                height="22"
                alt="Avatar"
                loading="lazy"
              />
            </a>
            <ul
              class="dropdown-menu dropdown-menu-end"
              aria-labelledby="navbarDropdownMenuLink"
            >
              <li>
                <a class="dropdown-item" href="#">My profile</a>
              </li>
              <li>
                <a class="dropdown-item" href="#">Settings</a>
              </li>
              <li>
                <a class="dropdown-item" href="#">Logout</a>
              </li>
            </ul>
          </li>
        </ul>
      </div>
      <!-- Container wrapper -->
    </nav>
    <!-- Navbar -->
  </header>
  <!--Main Navigation-->
</section>

  <!--Main layout-->
  
  <main style="margin-top: 58px;">
    <div class="container pt-4">
        
    <div class="container">
      <h2 style="text-align: center;">Danh sách đơn hàng</h2>
     
       <div class="row form-group ">
        <div class="col-2">
          <lable class="label">Trạng thái Order</lable>
        </div>
        <div class="col-3">
          <select class="form-control" id="slt-status">
              <option value="0">All</option>
              <option value="open">Open</option>
              <option value="confirmed">Confirmed</option>
              <option value="cancel">Cancel</option>
          </select>
        </div>
        <div class="col-2">
          <label class="label">Loại Pizza</label>
        </div>
        <div class="col-3">
         <select class="form-control" id="slt-pizza-type">
              <option value="0">All</option>
              <option value="Hawaii">Hawaii</option>
              <option value="bacon">Bacon</option>
              <option value="Seafood">Seafood</option>
         </select>
        </div>
        <div class="col-2">
          <button id="btn-filter" class="btn btn-primary">Filter</button>
        </div>
        
    </div>
    <!-- BUTTTON THÊM ORDER MỚI  -->
    <div class="row">
      <button id="btn-them-order" class="btn btn-success"><i class="fas fa-plus">&nbsp;</i>Thêm Order</button>
    </div>
    <br>
      <table class="table table-bordered table-striped table-hover" id="don-table">
        <thead>
          <tr>
            <th>Order code</th>
            <th>Kich cỡ Combo</th>
            <th>Loại Pizza</th>
            <th>Nước Uống</th>
            <th>Thành Tiền</th>
            <th>Họ và tên</th>
            <th>số điện thoại</th>
            <th>Trạng thái</th>
            <th>Chi tiết</th>
          </tr>
      </table>
    </div>

    <!-- define a update modal -->
    <div class="modal" tabindex="-1" role="dialog" id="update-modal">
      <!-- <form id="form-update"> -->
       <div class="modal-dialog" role="document">
         <div class="modal-content">
          <!-- modal header  -->
           <div class="modal-header bg-danger">
             <h5 class="modal-title">Update Đơn Hàng</h5>
             <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span>
             </button>
           </div>
           <!-- modal body  -->
          <div class="modal-body bg-warning form-group">

            <div class="row form-group">
               <div class="col-3">
                <label class="label">Order Code</label>
               </div>
               <div class="col-9">
                <input id="inp-ordercode" class="form-control" readonly>
               </div>
            </div>   
            
            <div class="row form-group">
              <div class="col-3">
               <label class="label">Size</label>
              </div>
              <div class="col-9">
                <select id="slt-size" disabled  class="form-control">
                  <option value="S">size S</option>
                  <option value="M">size M</option>
                  <option value="L">size L</option>
                </select>
              </div>
           </div>   

           <div class="row form-group">
              <div class="col-3">
              <label class="label">Đường kính</label>
              </div>
              <div class="col-9">
                <input id="inp-duong-kinh" class="form-control" readonly>
              </div>
            </div>   
            
            <div class="row form-group">
              <div class="col-3">
              <label class="label">Sườn Nướng</label>
              </div>
              <div class="col-9">
                <input id="inp-suon" type="number" class="form-control" readonly>
              </div>
            </div>   
            
            <div class="row form-group">
              <div class="col-3">
              <label class="label">Salad</label>
              </div>
              <div class="col-9">
                <input type="number" id="inp-salad" class="form-control" readonly>
              </div>
            </div>   

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Pizza Type</label>
              </div>
              <div class="col-9">
                <input id="inp-pizza-type" class="form-control" readonly>
              </div>
            </div>   

            <div class="row form-group">
              <div class="col-3">
              <label class="label">ID VOucher</label>
              </div>
              <div class="col-9">
                <input id="inp-id-voucher" class="form-control" readonly>
              </div>
            </div>   

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Thành Tiền</label>
              </div>
              <div class="col-9">
                <input id="inp-thanh-tien" class="form-control" readonly>
              </div>
            </div>  
            
            <div class="row form-group">
              <div class="col-3">
              <label class="label">Giảm giá</label>
              </div>
              <div class="col-9">
                <input id="inp-giam-gia" class="form-control" readonly>
              </div>
            </div>  

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Loại Nước Uống</label>
              </div>
              <div class="col-9">
                <select id="slt-loai-nuoc" class="form-control" disabled>
                  <option value="PEPSI">PEPSI</option>
                  <option value="COCA">COCA</option>
                  <option value="TRATAC">TRÀ TẮC</option>
                  <option value="TRASUA">TRÀ SỮA</option>
                  <option value="LAVIE">NƯỚC LAVIE</option>
                </select>
              </div>


            </div>
            
            <div class="row form-group">
              <div class="col-3">
              <label class="label">số lượng nước</label>
              </div>
              <div class="col-9">
                <input type="number" id="inp-soluong-nuoc" class="form-control" readonly>
              </div>
            </div>  

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Họ và tên</label>
              </div>
              <div class="col-9">
                <input  id="inp-ho-ten" class="form-control" readonly>
              </div>
            </div>  

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Email</label>
              </div>
              <div class="col-9">
                <input type="email"  id="inp-email" class="form-control" readonly>
              </div>
            </div>  

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Số Điện thoại</label>
              </div>
              <div class="col-9">
                <input type="number"  id="inp-so-dienthoai" class="form-control" readonly>
              </div>
            </div>  

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Địa chỉ</label>
              </div>
              <div class="col-9">
                <input   id="inp-dia-chi" class="form-control" readonly>
              </div>
            </div>  

            <div class="row form-group">
              <div class="col-3">
              <label class="label">Lời nhắn</label>
              </div>
              <div class="col-9">
                <input id="inp-loi-nhan" class="form-control" readonly>
              </div>
            </div> 
            
            <div class="row form-group">
              <div class="col-3">
              <label class="label">Ngày Order</label>
              </div>
              <div class="col-9">
                <input id="inp-ngay-order" class="form-control" readonly>
              </div>
            </div>  

            <div class="row form-group">
              <div class="col-3">
              <label class="label">ngày chỉnh sửa</label>
              </div>
              <div class="col-9">
                <input id="inp-ngay-chinhsua" class="form-control" readonly>
              </div>
            </div>  

          </div>
               
                
           
           <!-- modal footer  -->
           <div class="modal-footer bg-dark">
               <button type="submit" id="btn-confirm" class="btn btn-primary"><i class="fas fa-plus ">&nbsp;</i>Confirmed</button>
             <button type="button" id="btn-cancel" class="btn btn-danger" >Cancel order</button>
           </div>

         </div>
       </div>
      <!-- </form> -->
    </div>

    <!-- define a delete-modal  -->
    <div class="modal" tabindex="-1" role="dialog" id="delete-modal">
      <!-- <form id="form-update"> -->
       <div class="modal-dialog" role="document">
         <div class="modal-content">
          <!-- modal header  -->
           <div class="modal-header bg-danger">
             <h5 class="modal-title">Update Đơn Hàng</h5>
             <button type="button" class="close" data-dismiss="modal" aria-label="Close">
               <span aria-hidden="true">&times;</span>
             </button>
           </div>
           <!-- modal body  -->
          <div class="modal-body bg-warning form-group">
            <h6 class="text-center">
              bạn có chắc muốn xóa đơn hàng này?
            </h6>

          </div>
               
                
           
           <!-- modal footer  -->
           <div class="modal-footer bg-dark">
               <button type="submit" id="btn-delete" class="btn btn-primary"><i class="fas fa-ban"></i>&nbsp;Delete</button>
             <button type="button" class="btn btn-danger" data-dismiss="modal" >Cancel</button>
           </div>

         </div>
       </div>
      <!-- </form> -->
    </div>

    </div>
  </main>
  <!--Main layout-->
<section>
  <footer class="bg-warning text-center text-lg-start">
    <!-- Copyright -->
    <div class="text-center p-3">
        <h3>Footer</h3>
        <button class="btn btn-dark"><i class="fas fa-arrow-up">&nbsp;</i>To the top</button><br>
        <i class="fab fa-facebook-square">&nbsp;</i>
        <i class="fab fa-instagram">&nbsp;</i>
        <i class="far fa-bell"></i>&nbsp;
        <i class="fab fa-twitter"></i>&nbsp;
        <i class="fab fa-linkedin-in"></i><br>
        <h5>Powered by DEVCAMP</h5>
    </div>
   
    <!-- Copyright -->
  </footer>
</section>
</body>

<script>
  var gListUser;
  var gIdCurrent;
  const gREQUEST_STATUS_OK = 200;
  const gREQUEST_CREATE_OK = 201; // status 201 tao thanh cong
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_STATUS_DELETE_SUCCESS = 204; // status 204: DELETE Success
  // base url API
  const gBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";

  $(document).ready(function(){
     /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
     //creata a data for DataTable
     
     const gCOLUMN_ID = 0;
      const gCOLUMN_KICH_CO = 1;
      const gCOLUMN_LOAI_PIZZA = 2;
      const gCOLUMN_NUOC_UONG = 3;
      const gCOLUMN_THANH_TIEN = 4 ;
      const gCOLUMN_HO_TEN = 5;
      const gCOLUMN_SO_DIENTHOAI = 6;
      const gCOLUMN_TRANGTHAI = 7;
      const gCOLUMN_ACTION = 8;

      const gNAME_COL = ["id","duongKinh","loaiPizza","idLoaiNuocUong",
          "thanhTien","hoTen","soDienThoai","trangThai","Action"];
          
          // định nghĩa table  - chưa có data
          var gUserTable = $("#don-table").DataTable( {
          // Khai báo các cột của datatable
          "columns" : [
              { "data" : gNAME_COL[gCOLUMN_ID] },
              { "data" : gNAME_COL[gCOLUMN_KICH_CO] },
              { "data" : gNAME_COL[gCOLUMN_LOAI_PIZZA] },
              { "data" : gNAME_COL[gCOLUMN_NUOC_UONG] },
              { "data" : gNAME_COL[gCOLUMN_THANH_TIEN] },
              { "data" : gNAME_COL[gCOLUMN_HO_TEN] },
              { "data" : gNAME_COL[gCOLUMN_SO_DIENTHOAI] },
              { "data" : gNAME_COL[gCOLUMN_TRANGTHAI] },
              { "data" : gNAME_COL[gCOLUMN_ACTION] }
          ],
          // Ghi đè nội dung của cột action, chuyển thành button chi tiết
          "columnDefs": [ 
          {
              "targets": gCOLUMN_ACTION,
              // "defaultContent": "<button class='info-user btn btn-info'>Chi tiết</button>"
              "defaultContent":  '<i class="fas fa-edit fa-lg edit-icon text-left" style="cursor:pointer; color:green;"></i>&nbsp;&nbsp;&nbsp;&nbsp;<i class="fas fa-trash-alt fa-lg delete-icon  text-right"  style="cursor:pointer; color:red;"></i>'
          }]
          });
      onPageLoading();
     /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  //function on Button chi tiet click
  $("#don-table").on("click",".edit-icon",function(){
          console.log("xử lý chi tiết");
          var vCurrentInfo = getCurrentInfo(this);
          console.log(vCurrentInfo);
          $("#update-modal").modal("show");
          loadDataToModalUpdate(vCurrentInfo);
          gIdCurrent = vCurrentInfo.id;
  })

  //on button delete an order
  $("#don-table").on("click",".delete-icon",function(){
          console.log("xử lý chi tiết");
          var vCurrentInfo = getCurrentInfo(this);
          console.log(vCurrentInfo);
          $("#delete-modal").modal("show");
         
          gIdCurrent = vCurrentInfo.id;
          
  })

  //function on button Filter Click
  $("#btn-filter").on("click",function(){
      var vFilter = btnFilterClick()
      debugger;
      console.log(vFilter);
     loadDataToTable(vFilter);
  });
  
  //function confirm đơn hàng
  $("#btn-confirm").on("click",function(){
      // event.preventDefault();
      var vStatus = "confirmed";
      callAjaxToUpdate(vStatus);
      
      $("#update-modal").modal("hide");
      
  })

  $("#btn-cancel").on("click",function(){
     
      var vStatus = "cancel";
      callAjaxToUpdate(vStatus);
      
      $("#update-modal").modal("hide");
       
        
      console.log(gIdCurrent);
      
  })

  $("#btn-delete").on("click",function(){
    onBtnDeleteOrderClick();
    $("#delete-modal").modal("hide");

  })

  //thêm sự kiện Order
  $("#btn-them-order").on("click",function(){
      window.location = "index.html";
  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */  
  //function on click filter
  function btnFilterClick(){
      var vResult = [];
      var vStatus = $("#slt-status").val();
      var PizzaType = $("#slt-pizza-type").val();
      var vResult = gListUser.filter(function(item){
          return (vStatus === item.trangThai || PizzaType === item.loaiPizza ||
          vStatus === 0 && PizzaType === 0);
      })

      return vResult;
  }
  
    
     //function load dataa for beginning
  function onPageLoading(){
      $.ajax({
      url: "http://203.171.20.210:8080/devcamp-pizza365/orders",
      type: "GET",
      dataType: 'json',
      success: function(responseObject){
        //debugger;
        loadDataToTable(responseObject);
        gListUser = responseObject;
        console.log(gListUser);
      },
      error: function(error){
        console.assert(error.responseText);
      }
    });
  }
     /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
  
  function loadDataToTable(paramResponseObject) {
    //Xóa toàn bộ dữ liệu đang có của bảng
    gUserTable.clear();
    //Cập nhật data cho bảng 
    gUserTable.rows.add(paramResponseObject);
    //Cập nhật lại giao diện hiển thị bảng
    gUserTable.draw();
  }
    //function get Current info on click button Chi tiet
    function getCurrentInfo(paraBtn){
      var vTrCurrent = $(paraBtn).closest("tr");
      var vTable = $("#don-table").DataTable();
      var vCurrentInfo = vTable.row(vTrCurrent).data();
      return vCurrentInfo;
  }

  //function load data to uupdate modal
  function loadDataToModalUpdate(paraObj){
    $("#inp-ordercode").val(paraObj.orderCode)
    $("#slt-size").val(paraObj.kichCo)
    $("#inp-duong-kinh").val(paraObj.duongKinh)
    $("#inp-suon").val(paraObj.suon)
    $("#inp-salad").val(paraObj.salad)

    $("#inp-pizza-type").val(paraObj.loaiPizza)
    $("#inp-id-voucher").val(paraObj.idVourcher)
    $("#inp-thanh-tien").val(paraObj.thanhTien)
    $("#inp-giam-gia").val(paraObj.giamGia)
    $("#slt-loai-nuoc").val(paraObj.idLoaiNuocUong)

    $("#inp-soluong-nuoc").val(paraObj.soLuongNuoc)
    $("#inp-ho-ten").val(paraObj.hoTen)
    $("#inp-email").val(paraObj.email)
    $("#inp-so-dienthoai").val(paraObj.soDienThoai)
    $("#inp-dia-chi").val(paraObj.diaChi)

    $("#inp-loi-nhan").val(paraObj.loiNhan)
    $("#inp-ngay-order").val(paraObj.ngayTao)
    $("#inp-ngay-chinhsua").val(paraObj.ngayCapNhat)




    

  }
  //function update don hang
function callAjaxToUpdate(paraStatus){
  var vId = gIdCurrent;   // đây là Id của order, KHÔNG phải orderCode
      var vObjectRequest = {
          trangThai: paraStatus // 3: trang thai open, confirmed, cancel tùy tình huống
      }

      var vXmlHttpUpdateOrder = new XMLHttpRequest();
      vXmlHttpUpdateOrder.open("PUT", gBASE_URL + "/" + vId);
      vXmlHttpUpdateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
      vXmlHttpUpdateOrder.send(JSON.stringify(vObjectRequest));
      vXmlHttpUpdateOrder.onreadystatechange =
          function () {
              if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                  var vUpdatedOrder = vXmlHttpUpdateOrder.responseText;
                  alert("đã cập nhật đơn hàng");
                  onBtnGetAllOrderClick();
                  console.log(vUpdatedOrder);
                  
              }
          }
}
//function update don hang ajax
//gọi mẫu lấy danh sách order
function onBtnGetAllOrderClick(){ 
  "use strict";
  //base url
  const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
  // create a request
  var vXmlHttpGetAllOrder = new XMLHttpRequest();
  vXmlHttpGetAllOrder.open( "GET", vBASE_URL, true);
  vXmlHttpGetAllOrder.send();

  vXmlHttpGetAllOrder.onreadystatechange = function() {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
          var vOrderList = vXmlHttpGetAllOrder.responseText;
          console.log(vOrderList);
          var vOrderData = JSON.parse(vOrderList);
          loadDataToTable(vOrderData);
      }
  }

}
//delete một order
function onBtnDeleteOrderClick(){
    "use strict";
    //base url
    const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";  
    var vId =  gIdCurrent; 
    
    var vXmlHttpUpdateOrder = new XMLHttpRequest();
    vXmlHttpUpdateOrder.open("DELETE", vBASE_URL + "/" + vId, true);
    vXmlHttpUpdateOrder.send();
    vXmlHttpUpdateOrder.onreadystatechange = function() {
        // Delete thành công thì thông báo kết quả cho người dùng
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_DELETE_SUCCESS) { 
            alert("Delete " + vId + " success!");
            onBtnGetAllOrderClick();
        }
    }            
}


})


</script>
</html>